# Self-Distilled Graph Few-Shot Learning
This repository is the implementation of [Contrastive Graph Few-shot Learning framework].

The code is continuously being updated and cleaned at this [anonymous repository](https://www.dropbox.com/sh/uv3vfc0zfp9yrgt/AACQ427aMkm7FTbsQWbj-q3pa?dl=0)

## Requirements

To install requirements:

```setup
pip install -r requirements.txt
```
## Training
**arxiv-ogbn**:

```
python gcl/train.py --data_dir PATH/G-Meta_Data/arxiv/ \
                            --epoch 10 \
                            --task_setup Disjoint \
                            --k_spt 3 \
                            --k_qry 24 \
                            --n_way 3 \
                            --update_step 10 \
                            --update_lr 0.01 \
                            --num_workers 0 \
                            --train_result_report_steps 200 \
                            --hidden_dim 256 \
                            --update_step_test 20 \
                            --task_num 32 \
                            --batchsz 10000 
```
