import torch
from torch import nn
from torch import optim
from tqdm import tqdm
import numpy as np
import matplotlib.pyplot as plt
import json
import logging
from interpreter import Interpreter
from gmeta.gnn_zoo import GCN

if __name__ == '__main__':
	 
	 
	 
	
	 
	 
	 
	
	info_loss_list_distill = [461.520993, 511.101399, 509.101399]
	info_loss_list_l2l = [482.631188, 535.915668, 524.625346]
	info_loss_list_maml = [553.256862, 592.387353, 585.312334]
	plt.grid(ls='--')
	x = list(range(len(info_loss_list_l2l)))
	plt.plot(x, info_loss_list_distill, clip_on=False, label='ssl+distill', marker=2, color='crimson')   
	plt.plot(x, info_loss_list_l2l, clip_on=False, label='ssl', marker=3, color='gold')   
	plt.plot(x, info_loss_list_maml, clip_on=False, label='gmeta', marker=4, color='seagreen')   
	plt.xlabel('layer')   
	plt.ylabel('info_loss')   
	plt.legend(loc=[0, 1], ncol=8, fontsize=8)   
	plt.savefig('fig.pdf')   
	plt.show()
